## org.dom4j.util
Class NonLazyDocumentFactory

    java.lang.Object
      org.dom4j.DocumentFactory
          org.dom4j.util.NonLazyDocumentFactory

All Implemented Interfaces:
  Serializable

public class NonLazyDocumentFactory
extends DocumentFactory

`NonLazyDocumentFactory` is a factory of XML objects which avoid using the lazy creation pattern. This results in a slower creation of a Document and uses more memory but it means that the same Document instance can be shared across threads provided it is not modified.

Version:
  $Revision: 1.9 $
Author:
  James Strachan
See Also:
  Serialized Form

Field Summary
`protected static NonLazyDocumentFactory` `singleton` The Singleton instance

Fields inherited from class org.dom4j.DocumentFactory
`cache`

Constructor Summary
`NonLazyDocumentFactory()`

Method Summary
`Element` `createElement(QName qname)`
`static DocumentFactory` `getInstance()` Access to the singleton instance of this factory.

Methods inherited from class org.dom4j.DocumentFactory

`createAttribute, createAttribute, createCDATA, createComment, createDocType, createDocument, createDocument, createDocument, createElement, createElement, createEntity, createNamespace, createPattern, createProcessingInstruction, createProcessingInstruction, createQName, createQName, createQName, createQName, createQNameCache, createSingleton, createText, createXPath, createXPath, createXPathFilter, createXPathFilter, getQNames, getXPathNamespaceURIs, init, intern, setXPathNamespaceURIs`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### singleton

    protected static transient NonLazyDocumentFactory singleton

  The Singleton instance

Constructor Detail

### NonLazyDocumentFactory

    public NonLazyDocumentFactory()

Method Detail

### getInstance

    public static DocumentFactory getInstance()

  Access to the singleton instance of this factory.

  Returns:
    the default singleon instance

### createElement

    public Element createElement(QName qname)

  Overrides:
    `createElement` in class `DocumentFactory`

Copyright © 2001-2005 MetaStuff Ltd.. All Rights Reserved.